# Make file with definition of constants to be included by solid.geo
#
# -------------------------------------------------------------------

  parameters

  fid = fopen("constants.geo", "wt");

  fprintf(fid, " DefineConstant [ ");
  fprintf(fid, " b  = %5.0d,   // Half span\n", param.b);
  fprintf(fid, "                  ");
  fprintf(fid, " cr = %5.0d,   // Chord at wing root\n", param.dr);
  fprintf(fid, "                  ");
  fprintf(fid, " ct = %5.0d,   // Chord at wing tip\n", param.dt);
  fprintf(fid, "                  ");
  fprintf(fid, " em = %5.0d,   // Position of point mass\n", param.em);
  fprintf(fid, "                  ");
  fprintf(fid, " n  = %5.0d,   // Number of sections\n", param.ns);
  fprintf(fid, "                  ");
  fprintf(fid, " el = %5.0d,   // Element length\n", param.el);
  fprintf(fid, "                  ");
  fprintf(fid, " sw = %5.0d ]; // Sweep angle\n", param.sweep);

  fclose(fid);
